Permalink
Browse files

Regenerate gemspec for version 0.0.3

  • Loading branch information...
1 parent cdb8ead commit 289ca70b88313e7112b1c3c88457c97603d47119 @erwaller erwaller committed Jul 7, 2011
Showing with 17 additions and 3 deletions.
  1. +17 −3 soulmate.gemspec
View
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Eric Waller"]
- s.date = %q{2011-02-14}
+ s.date = %q{2011-07-07}
s.description = %q{Soulmate is a tool to help solve the common problem of developing a fast autocomplete feature. It uses Redis's sorted sets to build an index of partial words and corresponding top matches, and provides a simple sinatra app to query them. Soulmate finishes your sentences.}
s.email = %q{eric@seatgeek.com}
s.executables = ["soulmate", "soulmate-web"]
@@ -34,24 +34,30 @@ Gem::Specification.new do |s|
"lib/soulmate/server.rb",
"lib/soulmate/version.rb",
"soulmate.gemspec",
+ "test/db/.gitkeep",
"test/helper.rb",
+ "test/samples/venues.json",
+ "test/test.conf",
"test/test_soulmate.rb"
]
s.homepage = %q{http://github.com/seatgeek/soulmate}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
+ s.rubygems_version = %q{1.6.2}
s.summary = %q{Redis-backed service for fast autocompleting - extracted from SeatGeek}
s.test_files = [
"test/helper.rb",
"test/test_soulmate.rb"
]
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<redis>, ["~> 2.1.1"])
+ s.add_runtime_dependency(%q<rack-contrib>, [">= 0"])
+ s.add_runtime_dependency(%q<vegas>, ["~> 0.1.8"])
+ s.add_runtime_dependency(%q<sinatra>, ["~> 1.2.3"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
@@ -61,6 +67,10 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<sinatra>, [">= 1.0"])
s.add_runtime_dependency(%q<json>, ["~> 1.4.6"])
else
+ s.add_dependency(%q<redis>, ["~> 2.1.1"])
+ s.add_dependency(%q<rack-contrib>, [">= 0"])
+ s.add_dependency(%q<vegas>, ["~> 0.1.8"])
+ s.add_dependency(%q<sinatra>, ["~> 1.2.3"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
@@ -71,6 +81,10 @@ Gem::Specification.new do |s|
s.add_dependency(%q<json>, ["~> 1.4.6"])
end
else
+ s.add_dependency(%q<redis>, ["~> 2.1.1"])
+ s.add_dependency(%q<rack-contrib>, [">= 0"])
+ s.add_dependency(%q<vegas>, ["~> 0.1.8"])
+ s.add_dependency(%q<sinatra>, ["~> 1.2.3"])
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])

0 comments on commit 289ca70

Please sign in to comment.